aboutsummaryrefslogtreecommitdiffstats
path: root/kernels/sunfish/do.bash
diff options
context:
space:
mode:
authorNathan Chancellor <natechancellor@gmail.com>2020-10-30 12:56:46 -0700
committerNathan Chancellor <natechancellor@gmail.com>2020-10-30 13:02:24 -0700
commit7662110c1b6f20095d7a6bcec37ac106828104a6 (patch)
treedac399fac5bafdeb8e0647e27cbeffbd47b8619e /kernels/sunfish/do.bash
parentbuild-one.bash: override user's default branch name for temporary manifest repo (diff)
downloadandroid-wireguard-module-builder-7662110c1b6f20095d7a6bcec37ac106828104a6.tar.xz
android-wireguard-module-builder-7662110c1b6f20095d7a6bcec37ac106828104a6.zip
kernels: add sunfish
Signed-off-by: Nathan Chancellor <natechancellor@gmail.com>
Diffstat (limited to '')
-rw-r--r--kernels/sunfish/do.bash8
1 files changed, 8 insertions, 0 deletions
diff --git a/kernels/sunfish/do.bash b/kernels/sunfish/do.bash
new file mode 100644
index 0000000..b875b8c
--- /dev/null
+++ b/kernels/sunfish/do.bash
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -ex
+BASE="$(readlink -f "$(dirname "$(readlink -f "$0")")")"
+echo 'EXT_MODULES="${EXT_MODULES} wireguard"' >> private/msm-google/build.config.common
+echo 'ccflags-y += -Wno-unused-variable' >> wireguard-linux-compat/src/Kbuild
+./build/build.sh
+./prebuilts-master/clang/host/linux-x86/clang-r383902/bin/llvm-strip -strip-debug out/android-msm-pixel-4.14/dist/wireguard.ko
+readlink -f out/android-msm-pixel-4.14/dist/wireguard.ko >&7